# Class CIM_SNMPDatabaseParameter
extends CIM_DatabaseParameter

The CIM_SNMPDatabaseParameter class extends from CIM_DatabaseParameter. This class is included in the CIM database schema to provide explicit mapping to the way that the SNMP MIB defines database and service parameters. More information on the SNMP MIB parameters can be found in RFC 1697. The SNMP RDBMS MIB defines generic tables that contain rows of named database or service configuration entries. A parameter entry contains a parameter name, description, and value. See the description of the rdbmsDbParamTable or the rdbmsSrvParamTable for more detailed information on the SNMP definitions.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_ScopedSettingData
|
+--CIM_DatabaseParameter
|
+--CIM_SNMPDatabaseParameter

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

The CIM_SNMPDatabaseParameter class extends from CIM_DatabaseParameter. This class is included in the CIM database schema to provide explicit mapping to the way that the SNMP MIB defines database and service parameters. More information on the SNMP MIB parameters can be found in RFC 1697. The SNMP RDBMS MIB defines generic tables that contain rows of named database or service configuration entries. A parameter entry contains a parameter name, description, and value. See the description of the rdbmsDbParamTable or the rdbmsSrvParamTable for more detailed information on the SNMP definitions.

UMLPackagePath | string | CIM::Database::System
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ParameterValue | string |
Description | string | The value of a database or service parameter that is represented as a string.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsDbParamCurrValue

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods